> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentcloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Model

> Retrieve a JSON object of a single model within the specified team by modelId.



## OpenAPI

````yaml get /{resourceSlug}/model/{modelid}.json
openapi: 3.0.0
info:
  title: Agentcloud Webapp API Docs
  description: The API docs for Agentcloud's webapp.
  version: 0.2.1
servers:
  - url: https://app.agentcloud.dev
    description: Use our public api endpoints!
  - url: '{custom_url}'
    description: Test the endpoints on your own instance of Agent Cloud!
    variables:
      custom_url:
        default: https://app.agentcloud.dev
security: []
tags: []
paths:
  /{resourceSlug}/model/{modelid}.json:
    get:
      tags:
        - Models
      summary: Retrieve Model
      description: >-
        Retrieve a JSON object of a single model within the specified team by
        modelId.
      operationId: getModelJson
      parameters:
        - name: resourceSlug
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ObjectId'
          description: >-
            The resourceSlug is a URL parameter of the teamId associated with
            the user.
        - name: modelId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the model to retrieve.
      responses:
        '200':
          description: JSON object containing the retrieved model.
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/Model'
        '403':
          description: >-
            Invalid permissions on the resourceSlug, attempting to access a
            model outside the permissions of the team.
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/dynamicResponse'
        '500':
          description: Internal server error.
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/dynamicResponse'
components:
  schemas:
    ObjectId:
      description: >-
        Mongodb Object id, unique identifier, length of 24 characters fitting
        the following regex; [a-f0-9]{24}
      type: string
    Model:
      type: object
      description: Represents an AI model used within a team or organization.
      required:
        - _id
        - orgId
        - teamId
        - name
        - model
        - embeddingLength
        - modelType
        - type
        - config
      properties:
        _id:
          description: Unique identifier for the model.
          type: string
        orgId:
          description: Identifier of the organization to which the model belongs.
          type: string
        teamId:
          description: Identifier of the team to which the model belongs.
          type: string
        name:
          description: The name of the model.
          type: string
        model:
          description: The specific AI model used.
          type: string
        embeddingLength:
          description: The length of the embeddings generated by the model.
          type: integer
        modelType:
          description: The type of the model.
          type: string
        type:
          description: The general type of the model (e.g., embedding, language model).
          type: string
        config:
          type: object
          description: Configuration settings for the model.
          required:
            - model
            - api_key
            - base_url
            - cohere_api_key
            - groq_api_key
          properties:
            model:
              description: The model configuration setting.
              type: string
            api_key:
              description: API key for accessing the model.
              type: string
            base_url:
              description: The base URL for the model's API.
              type: string
            cohere_api_key:
              description: API key for accessing Cohere services.
              type: string
            groq_api_key:
              description: API key for accessing Groq services.
              type: string
    dynamicResponse:
      description: Server response
      properties:
        message:
          type: string
          description: Error message to provide more detail
        code:
          type: integer
          description: the error code

````